# Get Datasets by Project

Retrieve all datasets for a specific project.

Endpoint: GET /tailored-gen/projects/{project_id}/datasets

## Path parameters:

  - `project_id` (string, required)

## Header parameters:

  - `api_token` (string, required)

## Query parameters:

  - `include_models` (boolean)
    If true, include model objects using the dataset.

  - `include_models_ids` (boolean)
    If true, include model IDs using the dataset.

## Response 200 fields (application/json):

  - `id` (integer)

  - `project_id` (integer)

  - `name` (string)

  - `visual_schema` (string,null)

  - `upload_type` (string)
    Enum: "basic", "advanced"

  - `images_count` (integer)

  - `status` (string)
    Enum: "draft", "completed"

  - `captions_update_status` (string)
    Enum: "empty", "in_progress", "completed"

  - `models` (array)
    Only included when include_models=true

  - `model_ids` (array)
    Only included when include_models_ids=true

  - `created_at` (string)

  - `updated_at` (string)


## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
